Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.descriptors
Class CompositePropertySource

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.CompositePropertySource

All Implemented Interfaces:
  ICompositePropertySource, IPropertySource

    public class CompositePropertySource

extends java.lang.Object
implements ICompositePropertySource

A concrete implementation of the `ICompositePropertySource` interface. A composite property source - is a `IPropertySource` object, which allows link `ICompositePropertySource` object into a linked list structure. The underlaying linked list is transparent to a client - from outside it is a `IPropertySource` object.

Constructor Summary
`CompositePropertySource(java.lang.Object object)` Create an instance of the `ICompositePropertySource` for the given object.
`CompositePropertySource(java.lang.Object object, java.lang.String category)` Create an instance of the `ICompositePropertySource` for the given object.

Method Summary
`void` `addPropertyDescriptor(ICompositeSourcePropertyDescriptor descriptor)` Adds a new property descriptor to the property source.
`void` `addPropertySource(ICompositePropertySource source)` Add another composite property source to the linked list
`java.lang.String` `getCategory()` Returns the category, if one is set for this link.
`java.lang.Object` `getEditableValue()`
`protected ICompositePropertySource` `getEnclosed()` Returns the next link on the linked list.
`protected java.util.Map` `getLocalDescriptors()` Returns the descriptors local to this link.
`java.lang.Object` `getObject()` Returns the target of the properties.
`IPropertyDescriptor[]` `getPropertyDescriptors()`
`java.lang.Object` `getPropertyValue(java.lang.Object id)`
`boolean` `isPropertySet(java.lang.Object id)`
`void` `resetPropertyValue(java.lang.Object id)`
`void` `setPropertyValue(java.lang.Object propertyId, java.lang.Object value)` This delegates to IItemPropertyDescriptor.setPropertyValue().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositePropertySource

    public CompositePropertySource(java.lang.Object object)

  Create an instance of the `ICompositePropertySource` for the given object. This creates a single link object, ready to be appended to an existing linked list, or become a head of a new one.

  Parameters:
    `object` - - the target of the properties

### CompositePropertySource

    public CompositePropertySource(java.lang.Object object,
                                   java.lang.String category)

  Create an instance of the `ICompositePropertySource` for the given object. This creates a single link object, ready to be appended to an existing linked list, or become a head of a new one. The descriptors in the scope of this link by default will be assigned the given category

  Parameters:
    `object` - - the target of the properties
    `category` - - the property category to be assigned to all descrtiptors in the scope of this link

Method Detail

### addPropertySource

    public void addPropertySource(ICompositePropertySource source)

  Description copied from interface: `ICompositePropertySource`
  Add another composite property source to the linked list

  Specified by:
    `addPropertySource` in interface `ICompositePropertySource`
  Parameters:
    `source` - - a composite property source to be added to the linked list

### addPropertyDescriptor

    public void addPropertyDescriptor(ICompositeSourcePropertyDescriptor descriptor)

  Adds a new property descriptor to the property source. If there is a property with that id already, nothing will happen

  Parameters:
    `descriptor` - - a new property descriptor to add to the property source

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `IPropertySource`

### getPropertyDescriptors

    public IPropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `IPropertySource`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object id)

  Specified by:
    `getPropertyValue` in interface `IPropertySource`

### isPropertySet

    public boolean isPropertySet(java.lang.Object id)

  Specified by:
    `isPropertySet` in interface `IPropertySource`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object id)

  Specified by:
    `resetPropertyValue` in interface `IPropertySource`

### setPropertyValue

    public void setPropertyValue(java.lang.Object propertyId,
                                 java.lang.Object value)

  This delegates to IItemPropertyDescriptor.setPropertyValue().

  Specified by:
    `setPropertyValue` in interface `IPropertySource`

### getCategory

    public java.lang.String getCategory()

  Returns the category, if one is set for this link.

  Returns:
    - the category, if one is set for this link.

### getObject

    public java.lang.Object getObject()

  Returns the target of the properties.

  Returns:
    - the target of the properties.

### getLocalDescriptors

    protected java.util.Map getLocalDescriptors()

  Returns the descriptors local to this link.

  Returns:
    - the descriptors local to this link.

### getEnclosed

    protected ICompositePropertySource getEnclosed()

  Returns the next link on the linked list.

  Returns:
    - the next link on the linked list.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.